import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
import { MessageService } from 'primeng/api';
import { WorkshiftHistoryDto } from '../workshift-history/workshift-history-dto';
import { Observable } from 'rxjs';
export declare class WorkshiftHistoryAdjustmentService {
    private readonly http;
    private readonly messageService;
    private readonly translate;
    private readonly bffFacadeUrl;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    get(id: any): Observable<WorkshiftHistoryDto>;
    insert(workshiftHistory: WorkshiftHistoryDto): Observable<unknown>;
    update(id: any, workshiftHistory: WorkshiftHistoryDto): Observable<unknown>;
    delete(id: string): Observable<unknown>;
}
